<?php
header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
header('Cache-Control: no-store, no-cache, must-revalidate');
header('Cache-Control: post-check=0, pre-check=0', FALSE);
header('Pragma: no-cache');
?>
<!doctype html>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=3.0">
<link rel="stylesheet" type="text/css" href="css/orderbarcodes.css">
</head>
<body>
<?php 
	//Load wordpress to allow querying of woocommerce data
	require('../../../wp-load.php');
	global $woocommerce;

	//Check if the user is logged in.  If not, show the login form.
	if ( !is_user_logged_in() )
	{
		$args = array(
		        'echo'           => true,
		        'redirect'       => plugins_url( 'qrlookup.php', __FILE__ ) . "?".$_SERVER["QUERY_STRING"]
		);
		wp_login_form($args);
	}
	else
	{
		//Get the url to the current php file
		$url = plugins_url( 'qrlookup.php', __FILE__ );
		
		//Check the current users role
		$hasAdminRights = 0;
		$adminOptions = '';
		$user = wp_get_current_user();
		$allowed_roles = array('shop_manager', 'administrator');
		if( array_intersect($allowed_roles, $user->roles ) ) {  
		   $hasAdminRights = 1;
		} 
			
		//Get the order information from WooCommerce, check to see if current user has rights to view it
		$orderid = $_GET['orderid']; 
		$order = new WC_Order($orderid);
		if (($hasAdminRights == 1 || $order->user_id == get_current_user_id()) && ( count( $order->get_items() ) > 0 ))
		{
			//Check if autocheckin is enabled - if so than auto check it in
			if (!isset($_GET['action']) && get_option('plugindistrict_orderbarcodes_autocheckin') == 1) { $_GET['action'] = 'checkin'; }
			switch ((isset($_GET['action'])) ? $_GET['action'] : '')
			{

				case "cancelled":
					if ($order->status == 'cancelled')
					{
						echo "<div class=\"error\">Order $orderid is already cancelled.  No action taken.</div>";
					}
					
					break;
				//defaults	
				case "complete":
					if ($order->status == 'completed')
					{
						echo "<div class=\"error\">Order $orderid is already completed.  No action taken.</div>";
					}
					else
					{
						$order->add_order_note( __('Order completed via the Order Barcode plugin', 'woocommerce') );	
						$order->update_status( 'completed' );
						echo "<div class=\"success\">Order $orderid was completed successfully!</div>";
					}
					break;
				case "checkin":
					if ($order->status == 'checked-in')
					{
						echo "<div class=\"error\">Order $orderid is already checked in. No action taken.</div>";
					}
					else
					{
						$order->add_order_note( __('Order checked in via the Order Barcode plugin', 'woocommerce') );	
						$order->update_status( 'wc-checked-in' );
						echo "<div class=\"success\">Order $orderid was checked in successfully!</div>";
					}
					break;
				default:
					
			}
			//logout button
			printf( '<a href="%s" title="Logout" class="button">Logout</a>', wp_logout_url( get_home_url() ) ); 
			
			if ($order->status != 'cancelled'){
				printf('<a href="%s" title="Check In" class="button checkin" style="background:rgb(215, 55, 7);">Check In</a>', $url.'?orderid='.$orderid.'&action=checkin');
				printf('<a href="%s" title="Complete Order" class="button" style="background:rgb(43, 173, 29);">Complete Order</a>', $url.'?orderid='.$orderid.'&action=complete');
			}
			
			//Show the order details and add a div around it
			do_action( 'woocommerce_view_order', $orderid );
			
			$order_meta = get_post_custom( $orderid );
			echo '<h2 style="color:#557da1;">Customer Details</h2><ul style="list-style:none;"><li><strong>Name:</strong> <span class="m_13120986881442385text" style="color:#505050;">' . $order_meta['_billing_first_name'][0] ." ". $order_meta['_billing_last_name'][0] . '</span></li><li><strong>Email:</strong> <span class="m_13120986881442385text" style="color:#505050;">' . $order_meta['_billing_email'][0] . '</span></li><li><strong>Tel:</strong> <span class="m_13120986881442385text" style="color:#505050;">' . $order_meta['_billing_phone'][0] . '</span></li></ul>';

			echo "<div style='color:red;font-weight:bold;'>Current Ticket Status: " . strtoupper($order->status) . "</div>";
		}
		else
		{ 
			echo "<div class=\"pd_orderbarcode_error\" style=\"color:red\"><h1>Order $orderid was not found</h1></div>";
		} 
	}	
	
?>
</body>
</html>